Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class CopyColumnEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
              info.bioinfweb.treegraph.document.undo.edit.CopyColumnEdit

All Implemented Interfaces:
  UndoableEdit

    public class CopyColumnEdit

extends NodeBranchDataEdit

Copies a node/branch data column. The inherited field `adapter` is used as the source adapter here.

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary
`private boolean` | `includeLeafs`
`private NodeBranchDataAdapter` | `source`

Fields inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`adapter, backup`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`CopyColumnEdit(Document document, NodeBranchDataAdapter source, NodeBranchDataAdapter dest, boolean includeLeafs)`

Method Summary
`private void` | `copySubtree(Node root)`
`String` | `getPresentationName()`
`void` | `redo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    private NodeBranchDataAdapter source

### includeLeafs

    private boolean includeLeafs

Constructor Detail

### CopyColumnEdit

    public CopyColumnEdit(Document document,
                          NodeBranchDataAdapter source,
                          NodeBranchDataAdapter dest,
                          boolean includeLeafs)

Method Detail

### copySubtree

    private void copySubtree(Node root)

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD